/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.activities.service.impl;

import org.springblade.modules.activities.entity.PrizeRecord;
import org.springblade.modules.activities.vo.PrizeRecordVO;
import org.springblade.modules.activities.mapper.PrizeRecordMapper;
import org.springblade.modules.activities.service.IPrizeRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.Date;

/**
 * 中奖记录表 服务实现类
 *
 * @author BladeX
 * @since 2023-05-25
 */
@Service
public class PrizeRecordServiceImpl extends ServiceImpl<PrizeRecordMapper, PrizeRecord> implements IPrizeRecordService {

	@Override
	public IPage<PrizeRecordVO> selectPrizeRecordPage(IPage<PrizeRecordVO> page, PrizeRecordVO prizeRecord) {
		return page.setRecords(baseMapper.selectPrizeRecordPage(page, prizeRecord));
	}

	@Override
	public IPage<PrizeRecordVO> winningRecord(IPage page, Long userId) {
		return baseMapper.winningRecord(page, userId);
	}

	@Override
	public void savePrizeRecord(Long prizeId, Long userId, Integer receiveStatus) {
		PrizeRecord record = new PrizeRecord();
		record.setDrawTime(new Date());
		record.setUserId(userId);
		record.setPrizeId(prizeId);
		record.setIsHit(1);
		record.setReceiveStatus(receiveStatus);
		this.save(record);
	}

	@Override
	public PrizeRecordVO winningRecordDetail(Long id) {
		return null;
	}

}
